curl --request PUT \
--url https://api.cakto.com.br/public_api/bumps/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"offer": "<string>",
"referencePrice": 123,
"cta": "<string>",
"title": "<string>",
"description": "<string>",
"position": 123,
"showImage": true
}
'import requests
url = "https://api.cakto.com.br/public_api/bumps/{id}/"
payload = {
"offer": "<string>",
"referencePrice": 123,
"cta": "<string>",
"title": "<string>",
"description": "<string>",
"position": 123,
"showImage": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
offer: '<string>',
referencePrice: 123,
cta: '<string>',
title: '<string>',
description: '<string>',
position: 123,
showImage: true
})
};
fetch('https://api.cakto.com.br/public_api/bumps/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
HttpResponse<String> response = Unirest.put("https://api.cakto.com.br/public_api/bumps/{id}/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"offer\": \"<string>\",\n \"referencePrice\": 123,\n \"cta\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"position\": 123,\n \"showImage\": true\n}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.cakto.com.br/public_api/bumps/{id}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"offer\": \"<string>\",\n \"referencePrice\": 123,\n \"cta\": \"<string>\",\n \"title\": \"<string>\",\n \"description\": \"<string>\",\n \"position\": 123,\n \"showImage\": true\n}", false);
var response = await client.PutAsync(request);
Console.WriteLine("{0}", response.Content);
{
"product": "<string>",
"installments": 123,
"offer": {
"id": "<string>",
"name": "<string>",
"price": 123,
"default": true,
"product": "<string>",
"image": "<string>",
"currency": "BRL",
"units": 1073741824,
"status": "active",
"type": "unique",
"intervalType": "week",
"interval": -1,
"recurrence_period": -1,
"quantity_recurrences": -1,
"trial_days": -1,
"max_retries": -1,
"retry_interval": -1
},
"image": "<string>",
"id": "<string>",
"referencePrice": 123,
"cta": "<string>",
"title": "<string>",
"description": "<string>",
"position": -1,
"showImage": true
}Atualizar Order Bump
Altere a oferta, preço, copy ou imagem de um order bump existente. Use para otimizar conversão sem precisar recriar a oferta do zero.
Escopo
write products
Quando usar
- Trocar a oferta vinculada a um bump que não está convertendo
- Ajustar o preço de referência para testar novos pontos de conversão
- Melhorar o título, descrição ou call-to-action com base em resultados
- Ativar ou desativar a exibição da imagem
Authorizations
Token de autenticação do tipo Bearer {access_token}, onde {access_token} é o token obtido no fluxo de autenticação.
Path Parameters
Body
Id da oferta que será oferecida como order bump
Preço de referência exibido no orderbump
Texto do botão de call to action do order bump
255Título do order bump
255Descrição do order bump
Posição na qual o order bump será exibido no checkout
Indica se a imagem do order bump será exibida no checkout
Response
Produto que será oferecido como order bump
Número de parcelas do produto associado à oferta
Oferta associada ao orderbump
Show child attributes
Show child attributes
URL da imagem do orderbump
Identificador único do order bump no sistema
40Preço de referência exibido no orderbump
Texto do botão de call to action do order bump
255Título do order bump
255Descrição do order bump
Posição na qual o order bump será exibido no checkout
-2147483648 <= x <= 2147483647Indica se a imagem do order bump será exibida no checkout
Was this page helpful?